Name:           python-django-ajax-selects
Version:        1.2.4
Release:        3%{?dist}
Summary:        Enables editing of ForeignKey, ManyToMany and simple text fields

Group:          Development/Languages
License:        MIT or GPL+
URL:            http://pypi.python.org/pypi/django-ajax-selects
Source:         http://pypi.python.org/packages/source/d/django-ajax-selects/django-ajax-selects-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python-setuptools-devel
Requires:       python-django

Provides: django-ajax-selects = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-ajax-selects < 1.1.4-4 

%description
Enables editing of ForeignKey, ManyToMany and simple text fields using the 
Autocomplete - jQuery plugin.
django-ajax-selects will work in any normal form as well as in the admin.
The user is presented with a text field. They type a search term or a few 
letters of a name they are looking for, an ajax request is sent to the server,
a search channel returns possible results. Results are displayed as a drop 
down menu. When an item is selected it is added to a display area just below
the text field.

%prep
%setup -q -n django-ajax-selects-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python_sitelib}/ajax_select
%doc ajax_select/LICENSE.txt 
%doc ajax_select/docs/*
%doc example/*
%{python_sitelib}/django_ajax_selects-%{version}-py?.?.egg-info

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Domingo Becker <domingobecker@gmail.com> - 1.2.4-1
- Update to new upstream version.
- Removed first line.
- Fixed BuildRequires to make it more readable.
- Removed python-django as required for build.
- Fixed dependency python-devel to python2-devel.
- Fixed docs in files section.
- Fixed "installed but unpackaged" error for egg-info in files section.

* Tue May 29 2012 Domingo Becker <domingobecker@gmail.com> - 1.1.4-5
- Removed BuildRoot, clean, defattr and rm -rf buildroot.

* Sat May 26 2012 Domingo Becker <domingobecker@gmail.com> - 1.1.4-4
- Package rename to python-django-ajax-selects. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Sat Nov 20 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-3
- Fixed License tag.
- Updated tarball to upstream one.

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-2
- Fixed some rpmlint warnings.

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 1.1.4-1
- Initial RPM release

